com.genesyslab.wfm8.API.service.calendar850

## Class CalDateTimeOffBalanceInformation

- java.lang.Object
- - com.genesyslab.wfm8.API.service.calendar850.CalDateTimeOffBalanceInformation

- All Implemented Interfaces:
    java.io.Serializable

      public class CalDateTimeOffBalanceInformation
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `agentID` Agent ID
    `protected double` | `date` Date
    `protected double` | `hours` Agent Time Off balance hours for date
    `private static long` | `serialVersionUID`
    `protected int` | `timeOffTypeID` Time Off type ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalDateTimeOffBalanceInformation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getAgentID()` Gets the agentID value for this CalDateTimeOffBalanceInformation.
    `double` | `getDate()` Gets the date value for this CalDateTimeOffBalanceInformation.
    `double` | `getHours()` Gets the hours value for this CalDateTimeOffBalanceInformation.
    `int` | `getTimeOffTypeID()` Gets the timeOffTypeID value for this CalDateTimeOffBalanceInformation.
    `int` | `hashCode()`
    `void` | `setAgentID(int agentID)` Sets the agentID value for this CalDateTimeOffBalanceInformation.
    `void` | `setDate(double date)` Sets the date value for this CalDateTimeOffBalanceInformation.
    `void` | `setHours(double hours)` Sets the hours value for this CalDateTimeOffBalanceInformation.
    `void` | `setTimeOffTypeID(int timeOffTypeID)` Sets the timeOffTypeID value for this CalDateTimeOffBalanceInformation.
    `java.lang.String` | `toString()`
    `CalDateTimeOffBalanceInformation` | `withAgentID(int value)`
    `CalDateTimeOffBalanceInformation` | `withDate(double value)`
    `CalDateTimeOffBalanceInformation` | `withHours(double value)`
    `CalDateTimeOffBalanceInformation` | `withTimeOffTypeID(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### agentID

          protected int agentID

      Agent ID

    - #### timeOffTypeID

          protected int timeOffTypeID

      Time Off type ID

    - #### hours

          protected double hours

      Agent Time Off balance hours for date

    - #### date

          protected double date

      Date

  - ### Constructor Detail

    - #### CalDateTimeOffBalanceInformation

          public CalDateTimeOffBalanceInformation()

  - ### Method Detail

    - #### getAgentID

          public int getAgentID()

      Gets the agentID value for this CalDateTimeOffBalanceInformation.
      Returns:
        agentID Agent identifier

    - #### setAgentID

          public void setAgentID(int agentID)

      Sets the agentID value for this CalDateTimeOffBalanceInformation.
      Parameters:
        `agentID` - Agent identifier

    - #### getTimeOffTypeID

          public int getTimeOffTypeID()

      Gets the timeOffTypeID value for this CalDateTimeOffBalanceInformation.
      Returns:
        timeOffTypeID Time Off type identifier

    - #### setTimeOffTypeID

          public void setTimeOffTypeID(int timeOffTypeID)

      Sets the timeOffTypeID value for this CalDateTimeOffBalanceInformation.
      Parameters:
        `timeOffTypeID` - Time Off type identifier

    - #### getHours

          public double getHours()

      Gets the hours value for this CalDateTimeOffBalanceInformation.
      Returns:
        hours Balance value in hours

    - #### setHours

          public void setHours(double hours)

      Sets the hours value for this CalDateTimeOffBalanceInformation.
      Parameters:
        `hours` - Balance value in hours

    - #### getDate

          public double getDate()

      Gets the date value for this CalDateTimeOffBalanceInformation.
      Returns:
        date Date of the balance

    - #### setDate

          public void setDate(double date)

      Sets the date value for this CalDateTimeOffBalanceInformation.
      Parameters:
        `date` - Date of the balance

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### withAgentID

          public CalDateTimeOffBalanceInformation withAgentID(int value)

    - #### withTimeOffTypeID

          public CalDateTimeOffBalanceInformation withTimeOffTypeID(int value)

    - #### withHours

          public CalDateTimeOffBalanceInformation withHours(double value)

    - #### withDate

          public CalDateTimeOffBalanceInformation withDate(double value)

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.